Index: trunk/LMDZ.COMMON/libf/evolution/glaciers_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/glaciers_mod.F90	(revision 3145)
+++ trunk/LMDZ.COMMON/libf/evolution/glaciers_mod.F90	(revision 3149)
@@ -1,18 +1,14 @@
-module glaciers_mod
-       
- implicit none 
- LOGICAL  co2glaciersflow ! True by default, to compute co2 ice flow. Read in  pem.def
- LOGICAL  h2oglaciersflow ! True by default, to compute co2 ice flow. Read in  pem.def
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!!!
-!!! Purpose: Compute CO2 glacier flows
-!!!
-!!! Author: LL
-!!!
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
+MODULE glaciers_mod
+
+implicit none
+
+logical :: co2_ice_flow ! True by default, to compute co2 ice flow. Read in run_PEM.def
+logical :: h2o_ice_flow ! True by default, to compute h2o ice flow. Read in run_PEM.def
+
+!=======================================================================
 contains
-
-subroutine co2glaciers_evol(timelen,ngrid,nslope,iflat,subslope_dist,def_slope_mean,vmr_co2_PEM,ps_GCM,global_ave_ps_GCM,global_ave_ps_PEM,co2ice,flag_co2flow,flag_co2flow_mesh)
+!=======================================================================
+
+SUBROUTINE flow_co2glaciers(timelen,ngrid,nslope,iflat,subslope_dist,def_slope_mean,vmr_co2_PEM,ps_PCM,global_avg_ps_PCM,global_avg_ps_PEM,co2ice,flag_co2flow,flag_co2flow_mesh)
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -26,5 +22,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-IMPLICIT NONE
+implicit none
 
 ! arguments
@@ -32,35 +28,33 @@
 
 ! Inputs:
-      INTEGER,INTENT(IN) :: timelen,ngrid,nslope,iflat !  number of time sample, physical points, subslopes, index of the flat subslope
-      REAL,INTENT(IN) :: subslope_dist(ngrid,nslope), def_slope_mean(ngrid) ! Physical points x Slopes : Distribution of the subgrid slopes; Slopes: values of the sub grid slope angles
-      REAL,INTENT(IN) :: vmr_co2_PEM(ngrid,timelen) ! Physical x Time field : VMR of co2 in the first layer [mol/mol]
-      REAL,INTENT(IN) :: ps_GCM(ngrid,timelen)      ! Physical x Time field: surface pressure given by the GCM [Pa]
-      REAL,INTENT(IN) :: global_ave_ps_GCM          ! Global averaged surface pressure from the GCM [Pa]
-      REAL,INTENT(IN) :: global_ave_ps_PEM          ! global averaged surface pressure during the PEM iteration [Pa]
+      integer,                           intent(in) :: timelen, ngrid, nslope, iflat ! number of time sample, physical points, subslopes, index of the flat subslope
+      real,    dimension(ngrid,nslope),  intent(in) :: subslope_dist                 ! Physical points x Slopes: Distribution of the subgrid slopes
+      real,    dimension(ngrid),         intent(in) :: def_slope_mean                ! Physical points: values of the sub grid slope angles
+      real,    dimension(ngrid,timelen), intent(in) :: vmr_co2_PEM                   ! Physical x Time field : VMR of co2 in the first layer [mol/mol]
+      real,    dimension(ngrid,timelen), intent(in) :: ps_PCM                        ! Physical x Time field: surface pressure given by the PCM [Pa]
+      real,                              intent(in) :: global_avg_ps_PCM             ! Global averaged surface pressure from the PCM [Pa]
+      real,                              intent(in) :: global_avg_ps_PEM             ! global averaged surface pressure during the PEM iteration [Pa]
      
 ! Ouputs:
-      REAL,INTENT(INOUT) :: co2ice(ngrid,nslope) ! Physical x Slope field: co2 ice on the subgrid slopes [kg/m^2]
-      REAL,INTENT(INOUT) :: flag_co2flow(ngrid,nslope) ! flag to see if there is flow on the subgrid slopes
-      REAL,INTENT(INOUT) :: flag_co2flow_mesh(ngrid)  ! same but within the mesh
-
+      real, dimension(ngrid,nslope), intent(inout) :: co2ice            ! Physical x Slope field: co2 ice on the subgrid slopes [kg/m^2]
+      real, dimension(ngrid,nslope), intent(inout) :: flag_co2flow      ! flag to see if there is flow on the subgrid slopes
+      real, dimension(ngrid),        intent(inout) :: flag_co2flow_mesh ! same but within the mesh
 
 ! Local 
-      REAL :: Tcond(ngrid,nslope) !  Physical field: CO2 condensation temperature [K]
-      REAL :: hmax(ngrid,nslope)  ! Physical x Slope field: maximum thickness for co2  glacier before flow 
+      real, dimension(ngrid,nslope) :: Tcond ! Physical field: CO2 condensation temperature [K]
+      real, dimension(ngrid,nslope) :: hmax  ! Physical x Slope field: maximum thickness for co2  glacier before flow 
 
 !-----------------------------
-      call computeTcondCO2(timelen,ngrid,nslope,vmr_co2_PEM,ps_GCM,global_ave_ps_GCM,global_ave_ps_PEM,Tcond)
-
-      call compute_hmaxglaciers(ngrid,nslope,iflat,def_slope_mean,Tcond,"co2",hmax)
-
-      call transfer_ice_duringflow(ngrid,nslope,iflat, subslope_dist,def_slope_mean,hmax,Tcond,"co2",co2ice,flag_co2flow,flag_co2flow_mesh)
-   RETURN   
-end subroutine
-
-
-
-
-
-subroutine h2oglaciers_evol(timelen,ngrid,nslope,iflat,subslope_dist,def_slope_mean,Tice,h2oice,flag_h2oflow,flag_h2oflow_mesh)
+write(*,*) "Flow of CO2 glacier"
+    
+call computeTcondCO2(timelen,ngrid,nslope,vmr_co2_PEM,ps_PCM,global_avg_ps_PCM,global_avg_ps_PEM,Tcond)
+call compute_hmaxglaciers(ngrid,nslope,iflat,def_slope_mean,Tcond,"co2",hmax)
+call transfer_ice_duringflow(ngrid,nslope,iflat, subslope_dist,def_slope_mean,hmax,Tcond,"co2",co2ice,flag_co2flow,flag_co2flow_mesh)
+
+END SUBROUTINE flow_co2glaciers
+
+!=======================================================================
+
+SUBROUTINE flow_h2oglaciers(timelen,ngrid,nslope,iflat,subslope_dist,def_slope_mean,Tice,h2oice,flag_h2oflow,flag_h2oflow_mesh)
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -74,6 +68,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-
-IMPLICIT NONE
+implicit none
 
 ! arguments
@@ -81,24 +74,25 @@
 
 ! Inputs:
-      INTEGER,INTENT(IN) :: timelen,ngrid,nslope,iflat !  number of time sample, physical points, subslopes, index of the flat subslope
-      REAL,INTENT(IN) :: subslope_dist(ngrid,nslope), def_slope_mean(ngrid) ! Physical points x Slopes : Distribution of the subgrid slopes; Slopes: values of the sub grid slope angles
-      REAL,INTENT(IN) :: Tice(ngrid,nslope) ! Ice Temperature [K]
+      integer,intent(in) :: timelen,ngrid,nslope,iflat !  number of time sample, physical points, subslopes, index of the flat subslope
+      real,intent(in) :: subslope_dist(ngrid,nslope), def_slope_mean(ngrid) ! Physical points x Slopes : Distribution of the subgrid slopes; Slopes: values of the sub grid slope angles
+      real,intent(in) :: Tice(ngrid,nslope) ! Ice Temperature [K]
 ! Ouputs:
-      REAL,INTENT(INOUT) :: h2oice(ngrid,nslope) ! Physical x Slope field: co2 ice on the subgrid slopes [kg/m^2]
-      REAL,INTENT(INOUT) :: flag_h2oflow(ngrid,nslope) ! flag to see if there is flow on the subgrid slopes
-      REAL,INTENT(INOUT) :: flag_h2oflow_mesh(ngrid)  ! same but within the mesh
+      real,intent(inout) :: h2oice(ngrid,nslope) ! Physical x Slope field: co2 ice on the subgrid slopes [kg/m^2]
+      real,intent(inout) :: flag_h2oflow(ngrid,nslope) ! flag to see if there is flow on the subgrid slopes
+      real,intent(inout) :: flag_h2oflow_mesh(ngrid)  ! same but within the mesh
 ! Local 
-      REAL :: hmax(ngrid,nslope)  ! Physical x Slope field: maximum thickness for co2  glacier before flow 
+      real :: hmax(ngrid,nslope)  ! Physical x Slope field: maximum thickness for co2  glacier before flow 
 
 !-----------------------------
-
-      call compute_hmaxglaciers(ngrid,nslope,iflat,def_slope_mean,Tice,"h2o",hmax)
-      call transfer_ice_duringflow(ngrid,nslope,iflat, subslope_dist,def_slope_mean,hmax,Tice,"h2o",h2oice,flag_h2oflow,flag_h2oflow_mesh)
-
-   RETURN
-end subroutine
-
-
-subroutine compute_hmaxglaciers(ngrid,nslope,iflat,def_slope_mean,Tice,name_ice,hmax)
+write(*,*) "Flow of H2O glaciers"
+
+call compute_hmaxglaciers(ngrid,nslope,iflat,def_slope_mean,Tice,"h2o",hmax)
+call transfer_ice_duringflow(ngrid,nslope,iflat, subslope_dist,def_slope_mean,hmax,Tice,"h2o",h2oice,flag_h2oflow,flag_h2oflow_mesh)
+
+END SUBROUTINE flow_h2oglaciers
+
+!=======================================================================
+
+SUBROUTINE compute_hmaxglaciers(ngrid,nslope,iflat,def_slope_mean,Tice,name_ice,hmax)
 
 use abort_pem_mod, only: abort_pem
@@ -118,5 +112,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-   IMPLICIT NONE
+implicit none
 
 ! arguments
@@ -124,16 +118,16 @@
 
 ! Inputs
-      INTEGER,INTENT(IN) :: ngrid,nslope ! # of grid points and subslopes
-      INTEGER,INTENT(IN) :: iflat        ! index of the flat subslope
-      REAL,INTENT(IN) :: def_slope_mean(nslope) ! Slope field: Values of the subgrid slope angles [deg]
-      REAL,INTENT(IN) :: Tice(ngrid,nslope)     ! Physical field:  ice temperature [K]
-      character(len=3), INTENT(IN) :: name_ice ! Nature of the ice
+      integer,intent(in) :: ngrid,nslope ! # of grid points and subslopes
+      integer,intent(in) :: iflat        ! index of the flat subslope
+      real,intent(in) :: def_slope_mean(nslope) ! Slope field: Values of the subgrid slope angles [deg]
+      real,intent(in) :: Tice(ngrid,nslope)     ! Physical field:  ice temperature [K]
+      character(len=3), intent(in) :: name_ice ! Nature of the ice
 ! Outputs
-      REAL,INTENT(OUT) :: hmax(ngrid,nslope) ! Physical grid x Slope field: maximum  thickness before flaw [m]
+      real,intent(out) :: hmax(ngrid,nslope) ! Physical grid x Slope field: maximum  thickness before flaw [m]
 ! Local
       DOUBLE PRECISION :: tau_d    ! characteristic basal drag, understood as the stress that an ice mass flowing under its weight balanced by viscosity. Value obtained from I.Smith
-      REAL :: rho(ngrid,nslope) ! co2 ice density [kg/m^3]
-      INTEGER :: ig,islope ! loop variables
-      REAL :: slo_angle
+      real :: rho(ngrid,nslope) ! co2 ice density [kg/m^3]
+      integer :: ig,islope ! loop variables
+      real :: slo_angle
 
 ! 1. Compute rho
@@ -167,12 +161,9 @@
        ENDDO
     ENDDO
-RETURN
-
-end subroutine
-
-
-
-
-subroutine transfer_ice_duringflow(ngrid,nslope,iflat, subslope_dist,def_slope_mean,hmax,Tice,name_ice,qice,flag_flow,flag_flowmesh)
+END SUBROUTINE compute_hmaxglaciers
+
+!=======================================================================
+
+SUBROUTINE transfer_ice_duringflow(ngrid,nslope,iflat,subslope_dist,def_slope_mean,hmax,Tice,name_ice,qice,flag_flow,flag_flowmesh)
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !!!
@@ -196,20 +187,20 @@
 
 ! Inputs
-      INTEGER, INTENT(IN) :: ngrid,nslope               !# of physical points and subslope
-      INTEGER, INTENT(IN) :: iflat                      ! index of the flat subslope
-      REAL, INTENT(IN) :: subslope_dist(ngrid,nslope)   ! Distribution of the subgrid slopes within the mesh
-      REAL, INTENT(IN) :: def_slope_mean(nslope)        ! values of the subgrid slopes
-      REAL, INTENT(IN) :: hmax(ngrid,nslope)            ! maximum height of the  glaciers before initiating flow [m]
-      REAL, INTENT(IN) :: Tice(ngrid,nslope)            ! Ice temperature[K]
-      character(len=3), INTENT(IN) :: name_ice              ! Nature of the ice
+      integer, intent(in) :: ngrid,nslope               !# of physical points and subslope
+      integer, intent(in) :: iflat                      ! index of the flat subslope
+      real, intent(in) :: subslope_dist(ngrid,nslope)   ! Distribution of the subgrid slopes within the mesh
+      real, intent(in) :: def_slope_mean(nslope)        ! values of the subgrid slopes
+      real, intent(in) :: hmax(ngrid,nslope)            ! maximum height of the  glaciers before initiating flow [m]
+      real, intent(in) :: Tice(ngrid,nslope)            ! Ice temperature[K]
+      character(len=3), intent(in) :: name_ice              ! Nature of the ice
 
 ! Outputs
-      REAL, INTENT(INOUT) :: qice(ngrid,nslope)      ! CO2 in the subslope [kg/m^2]
-      REAL, INTENT(INOUT) :: flag_flow(ngrid,nslope) ! boolean to check if there is flow on a subgrid slope
-      REAL, INTENT(INOUT) :: flag_flowmesh(ngrid)    ! boolean to check if there is flow in the mesh
+      real, intent(inout) :: qice(ngrid,nslope)      ! CO2 in the subslope [kg/m^2]
+      real, intent(inout) :: flag_flow(ngrid,nslope) ! boolean to check if there is flow on a subgrid slope
+      real, intent(inout) :: flag_flowmesh(ngrid)    ! boolean to check if there is flow in the mesh
 ! Local
-      INTEGER ig,islope ! loop
-      REAL rho(ngrid,nslope) ! density of ice, temperature dependant [kg/m^3]
-      INTEGER iaval ! ice will be transfered here
+      integer ig,islope ! loop
+      real rho(ngrid,nslope) ! density of ice, temperature dependant [kg/m^3]
+      integer iaval ! ice will be transfered here
 
 ! 0. Compute rho
@@ -268,8 +259,9 @@
         ENDDO !islope 
        ENDDO !ig
-RETURN
-end subroutine
-
-     subroutine computeTcondCO2(timelen,ngrid,nslope,vmr_co2_PEM,ps_GCM,global_ave_ps_GCM,global_ave_ps_PEM,Tcond)
+END SUBROUTINE
+
+!=======================================================================
+
+SUBROUTINE computeTcondCO2(timelen,ngrid,nslope,vmr_co2_PEM,ps_PCM,global_avg_ps_PCM,global_avg_ps_PEM,Tcond)
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !!!
@@ -288,32 +280,27 @@
 
 ! INPUT
-      INTEGER,INTENT(IN) :: timelen, ngrid,nslope ! # of timesample,physical points, subslopes
-      REAL,INTENT(IN) :: vmr_co2_PEM(ngrid,timelen) ! Physical points x times field: VMR of CO2 in the first layer [mol/mol]
-      REAL,INTENT(IN) :: ps_GCM(ngrid,timelen) ! Physical points x times field: surface pressure in the GCM [Pa]
-      REAL,INTENT(IN) :: global_ave_ps_GCM ! Global averaged surfacepressure in the GCM [Pa]
-      REAL, INTENT(IN) :: global_ave_ps_PEM ! Global averaged surface pressure computed during the PEM iteration
+integer,                        intent(in) :: timelen, ngrid, nslope ! # of timesample, physical points, subslopes
+real, dimension(ngrid,timelen), intent(in) :: vmr_co2_PEM            ! Physical points x times field: VMR of CO2 in the first layer [mol/mol]
+real, dimension(ngrid,timelen), intent(in) :: ps_PCM                 ! Physical points x times field: surface pressure in the PCM [Pa]
+real,                           intent(in) :: global_avg_ps_PCM      ! Global averaged surfacepressure in the PCM [Pa]
+real,                           intent(in) :: global_avg_ps_PEM      ! Global averaged surface pressure computed during the PEM iteration
+
 ! OUTPUT
-      REAL,INTENT(OUT) :: Tcond(ngrid,nslope) ! Physical points : condensation temperature of CO2, yearly averaged 
+real, dimension(ngrid,nslope), intent(out) :: Tcond ! Physical points: condensation temperature of CO2, yearly averaged 
 
 ! LOCAL
-
-      INTEGER :: ig,it,islope ! for loop
-      REAL :: ave ! intermediate to compute average
+integer :: ig, it ! For loop
+real    :: ave    ! Intermediate to compute average
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
-
-      DO ig = 1,ngrid
-        ave = 0
-        DO it = 1,timelen
-           ave = ave + beta_clap_co2/(alpha_clap_co2-log(vmr_co2_PEM(ig,it)*ps_GCM(ig,it)*global_ave_ps_GCM/global_ave_ps_PEM/100))
-        ENDDO
-        DO islope = 1,nslope
-          Tcond(ig,islope) = ave/timelen
-        ENDDO
-      ENDDO
-RETURN
-
-
-end subroutine
-end module
+do ig = 1,ngrid
+    ave = 0
+    do it = 1,timelen
+        ave = ave + beta_clap_co2/(alpha_clap_co2 - log(vmr_co2_PEM(ig,it)*ps_PCM(ig,it)*global_avg_ps_PCM/global_avg_ps_PEM/100))
+    enddo
+    Tcond(ig,:) = ave/timelen
+enddo
+
+END SUBROUTINE computeTcondCO2
+
+END MODULE glaciers_mod
Index: trunk/LMDZ.COMMON/libf/evolution/info_PEM_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/info_PEM_mod.F90	(revision 3145)
+++ trunk/LMDZ.COMMON/libf/evolution/info_PEM_mod.F90	(revision 3149)
@@ -7,5 +7,5 @@
 !=======================================================================
 
-SUBROUTINE info_PEM(year_iter,criterion_stop,i_myear,n_myear)
+SUBROUTINE info_PEM(year_iter,stopPEM,i_myear,n_myear)
 
 !=======================================================================
@@ -22,5 +22,5 @@
 
 !----- Arguments
-integer, intent(in) :: year_iter, criterion_stop ! # of year and reason to stop
+integer, intent(in) :: year_iter, stopPEM ! # of year and reason to stop
 integer, intent(in) :: i_myear, n_myear          ! Current simulated Martian year and maximum number of Martian years to be simulated
 
@@ -43,5 +43,5 @@
     endif
     open(1,file = 'info_PEM.txt',status = "old",position = "append",action = "write")
-    write(1,*) year_iter, i_myear, criterion_stop
+    write(1,*) year_iter, i_myear, stopPEM
     close(1)
 else
Index: trunk/LMDZ.COMMON/libf/evolution/interpol_TI_PEM2PCM_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/interpol_TI_PEM2PCM_mod.F90	(revision 3149)
+++ trunk/LMDZ.COMMON/libf/evolution/interpol_TI_PEM2PCM_mod.F90	(revision 3149)
@@ -0,0 +1,39 @@
+MODULE interpol_TI_PEM2PCM_mod
+
+implicit none
+
+!=======================================================================
+contains
+!=======================================================================
+
+SUBROUTINE interpol_TI_PEM2PCM(ngrid,nslope,nsoil_PEM,nsoil_PCM,TI_PEM,TI_PCM)
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!!!
+!!! Purpose: Transfer the thermal inertia from the PEM vertical grid to the PCM vertical grid
+!!!
+!!!
+!!! Author: LL
+!!!
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+implicit none
+
+!======================================================================
+!  arguments
+!  ---------
+!  inputs:
+integer,                                 intent(in) :: ngrid     ! # of horizontal grid points
+integer,                                 intent(in) :: nslope    ! # of subslope wihtin the mesh
+integer,                                 intent(in) :: nsoil_PEM ! # of soil layers in the PEM
+integer,                                 intent(in) :: nsoil_PCM ! # of soil layers in the GCM
+real, dimension(ngrid,nsoil_PEM,nslope), intent(in) :: TI_PEM    ! Thermal inertia in the PEM vertical grid [J/m^2/K/s^{1/2}]
+
+real, dimension(ngrid,nsoil_PCM,nslope), intent(inout) :: TI_PCM ! Thermal inertia in the PCM vertical grid [J/m^2/K/s^{1/2}]
+
+!----- Code
+TI_PCM = TI_PEM(:,:nsoil_PCM,:)
+
+END SUBROUTINE interpol_TI_PEM2PCM
+
+END MODULE interpol_TI_PEM2PCM_mod
Index: trunk/LMDZ.COMMON/libf/evolution/iostart_PEM.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/iostart_PEM.F90	(revision 3145)
+++ trunk/LMDZ.COMMON/libf/evolution/iostart_PEM.F90	(revision 3149)
@@ -5,5 +5,5 @@
 !!! 
 !!! 
-!!! Author: LL, inspired by iostart from the GCM
+!!! Author: LL, inspired by iostart from the PCM
 !!!
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
Index: trunk/LMDZ.COMMON/libf/evolution/lask_param_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/lask_param_mod.F90	(revision 3145)
+++ trunk/LMDZ.COMMON/libf/evolution/lask_param_mod.F90	(revision 3149)
@@ -13,5 +13,5 @@
 real, dimension(:), allocatable, save :: yearlask   ! year before present from Laskar et al. Tab
 real, dimension(:), allocatable, save :: obllask    ! obliquity    [deg]
-real, dimension(:), allocatable, save :: ecclask    ! excentricity [deg]
+real, dimension(:), allocatable, save :: ecclask    ! eccentricity [deg]
 real, dimension(:), allocatable, save :: lsplask    ! ls perihelie [deg]
 integer,                         save :: last_ilask ! Index of the line in the file year_obl_lask.asc corresponding to the closest lower year to the current year
Index: trunk/LMDZ.COMMON/libf/evolution/nb_time_step_PCM_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/nb_time_step_PCM_mod.F90	(revision 3145)
+++ trunk/LMDZ.COMMON/libf/evolution/nb_time_step_PCM_mod.F90	(revision 3149)
@@ -19,5 +19,5 @@
 !=======================================================================
 !
-! Purpose: Read in the data_PCM_Yr*.nc the number of time step
+! Purpose: Read in the data_PCM_Y*.nc the number of time steps
 !
 ! Author: RV
Index: trunk/LMDZ.COMMON/libf/evolution/orbit_param_criterion_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/orbit_param_criterion_mod.F90	(revision 3145)
+++ trunk/LMDZ.COMMON/libf/evolution/orbit_param_criterion_mod.F90	(revision 3149)
@@ -99,6 +99,6 @@
 
 call getin('max_change_ecc',max_change_ecc)
-max_ecc = min(e_elips + max_change_ecc,1. - 1.e-10) ! ex < 1.
-min_ecc = max(e_elips - max_change_ecc,0.) ! ex >= 0.
+max_ecc = min(e_elips + max_change_ecc,1. - 1.e-10) ! ecc < 1.
+min_ecc = max(e_elips - max_change_ecc,0.) ! ecc >= 0.
 write(*,*) 'Maximum eccentricity accepted =', max_ecc
 write(*,*) 'Minimum eccentricity accepted =', min_ecc
